package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountAutoVideo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 自动投放账户——素材
 *
 * @author jeecg-boot
 * 2021-10-20
 * @version V1.0
 */
public interface IAiKuaishouAccountAutoVideoService extends IService<AiKuaishouAccountAutoVideo> {

    // 获取上新素材（自动投放账户级重构）
    List<AiKuaishouAccountAutoVideo> getUpNewVideos(Long accountId, Integer channelType,  List<String>  keyword, Integer videoCnt, String statDate, String createType);

    //获取7天高质量 （自动投放账户级重构）
    List<AiKuaishouAccountAutoVideo> getHistoryTopVideos(Long accountId, Integer channelType,  List<String>  keyword, Integer videoCnt, String statDate, String createType);

    //获取遗漏素材：7天内未被创建过的素材（自动投放账户级重构）
    List<AiKuaishouAccountAutoVideo> getMissVideoByParams(Long accountId, Integer channelType,  List<String>  keyword, Integer videoCnt, String statDate);

    //历史素材打捞（自动投放账户级重构）
    List<AiKuaishouAccountAutoVideo> getHistoryCatchVideos(Long accountId, Integer channelType,  List<String>  keyword, Integer videoCnt, String statDate);

    void insertAutoVideo(Long accountId);

    //自动投放重构——记录(高质量，历史打捞)使用次数
    void saveOrUpdateAutoVideoUsedCount(Long accountId, String signature, Integer videoType, String createType);

    void insertAutoVideoByProjectId(Long projectId);
}
